/**
 * # Vegetal Signals device API
 *
 * Listen messages and control the Vegetal Signal device.
 *
 * @example
 * ```ts
 * //Get device serial port
 * const [ port ] = await navigator.serial.getPorts()
 *
 * await using vs = VegetalSignals(port)
 * await vs.getInfos() //device infos
 * await vs.ping() //ping device
 *
 * for await (const datas of vs.serial.start().readable) {
 * 	console.log(datas)
 * }
 * ```
 * @module
 */
export { VegetalSignals } from './src/vegetal_signals.ts'
export { Translator } from './src/translator.ts'
