import { assertEquals } from '$std/assert/mod.ts'
import { Translator } from './translator.ts'

Deno.test('read success file', async () => {
	const file = await Deno.open(import.meta.resolve('../mock/serial_ok.ts'))
	const dataStream = file
		.readable
		.pipeThrough(new TextDecoderStream())
		.pipeThrough(Translator.transform)

	for await (const event of dataStream) {
		assertEquals(typeof event, 'object')

		if (event?.kind === 'serial') {
			assertEquals(
				typeof (event as { timestamp: number }).timestamp,
				'number',
			)
			assertEquals(
				(event as unknown as { channels: string[] }).channels.length,
				8,
			)
		}

		assertEquals(typeof event?.kind, 'string')
		assertEquals(
			typeof (event as unknown as { name: string })?.name,
			'string',
		)
		assertEquals('value' in (event as object), true)
	}
})
